net.sf.jasperreports.export.parameters

## Class AbstractParametersExporterOutput

- java.lang.Object
- - net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput

- All Implemented Interfaces:
    ExporterOutput
  Direct Known Subclasses:
    ParametersOutputStreamExporterOutput, ParametersWriterExporterOutput

  Deprecated.
  To be removed.

      public abstract class AbstractParametersExporterOutput
      extends java.lang.Object
      implements ExporterOutput

  Version:
    $Id: AbstractParametersExporterOutput.java 6738 2013-11-13 15:13:03Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<JRExporterParameter,java.lang.Object>` | `parameters` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractParametersExporterOutput(JasperReportsContext jasperReportsContext, java.util.Map<JRExporterParameter,java.lang.Object> parameters, JasperPrint jasperPrint)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ParameterResolver` | `getParameterResolver()` Deprecated.
    `protected JRPropertiesUtil` | `getPropertiesUtil()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parameters

          protected final java.util.Map<JRExporterParameter,java.lang.Object> parameters

      Deprecated.

  - ### Constructor Detail

    - #### AbstractParametersExporterOutput

          public AbstractParametersExporterOutput(JasperReportsContext jasperReportsContext,
                                          java.util.Map<JRExporterParameter,java.lang.Object> parameters,
                                          JasperPrint jasperPrint)

      Deprecated.

  - ### Method Detail

    - #### getParameterResolver

          protected ParameterResolver getParameterResolver()

      Deprecated.

    - #### getPropertiesUtil

          protected JRPropertiesUtil getPropertiesUtil()

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com